classification
Title: PEP 3121, 384 Refactoring applied to itertools module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Robin.Schreiber, corona10, loewis, rhettinger, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-16 08:52 by Robin.Schreiber, last changed 2020-06-22 09:25 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
itertools_pep3121-384_v0.patch Robin.Schreiber, 2012-08-16 08:52
Messages (2)
msg168359 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-16 08:52
Changes proposed in PEP3121 and PEP384 have now been applied to the itertools module!
msg372065 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-06-22 09:25
Fixed by:

commit 514c469719f149e1722a91a9d0c63bf89dfefb2a
Author: Dong-hee Na <donghee.na92@gmail.com>
Date:   Wed Mar 18 02:46:24 2020 +0900

    bpo-1635741: Port itertools module to multiphase initialization (GH-19044)
History
Date User Action Args
2020-06-22 09:25:54vstinnersetversions: + Python 3.10, - Python 3.4
2020-06-22 09:25:50vstinnersetstatus: open -> closed

nosy: + vstinner, corona10
messages: + msg372065

resolution: fixed
stage: resolved
2012-11-08 13:47:53Robin.Schreibersetkeywords: + pep3121, - patch
nosy: + loewis
2012-08-27 03:46:04belopolskylinkissue15787 dependencies
2012-08-16 08:52:09Robin.Schreibercreate